Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1310629

Summary: python-cssutils: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python-cssutilsAssignee: Kevin Fenzi <kevin>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 24CC: hdegoede, kevin, matthias, quantum.analyst, torsava
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-06 20:52:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816    

Description Tomas Orsava 2016-02-22 11:52:03 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), reply here, or contact me directly as I am personally interested in this package.


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:34:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Hans de Goede 2016-02-25 18:34:35 UTC
+1, some of sigil's plugins require this, please provide a python3 version.

Comment 3 Kevin Fenzi 2016-02-27 21:48:14 UTC
ok. I took a look at this today... 

For some reason python3.5 doesn't like this package and spews a bunch of syntax errors: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=13153326

Any idea what I might have done wrong? or is this an upstream bug? 
Upstream is pretty dead, so it could well be a change in recent python 3.x's.

Comment 4 Elliott Sales de Andrade 2016-03-02 06:11:32 UTC
Those syntax errors would be there in all 3.x versions; are you sure that upstream truly supports Python 3? Maybe a separate pass of 2to3 is required (but not automatically done in setup.py.)

Comment 5 Kevin Fenzi 2016-03-02 17:59:47 UTC
Well, upstream website says: 

"cssutils is developed on standard Python but works under Python 2.x (from 2.5, 2.7.6 tested), 3.x (v3.3.3 tested) and Jython (from 2.5.1)."

Comment 6 Elliott Sales de Andrade 2016-03-06 05:42:31 UTC
It does seem like the package assumes 2to3, but the build log does not really seem to show any evidence of it being run. You should probably investigate why that is the case; I'm not sure where the spec is to check it.

Also, there appears to be a typo in the spec, the build log shows python-cssutls all over the place and not python-cssutils.

Comment 7 Kevin Fenzi 2016-03-06 20:41:29 UTC
ok. I got it all figured out. 

Built in rawhide, if all looks well in the next few days will do a f24 build too.

Comment 8 Kevin Fenzi 2016-03-06 20:52:07 UTC
Ah, what the heck, lets just push it to 24 too and fix any issues as they come up.

Comment 9 Tomas Orsava 2016-04-06 15:40:29 UTC
Thank you for your effort!